<?php
/****************************************************************
 * This file is part of InFrame
 * Copyright (c) 2008 Richard Tong. All Rights Reserved.
 * 
 * Licensed under the terms of the GNU General Public License.
 * See http://opensource.org/licenses/gpl-license.php
 * 
 ****************************************************************/

$thisPage = $_SERVER["PHP_SELF"];
$op = $_GET["op"];
$blogTitle = strip_tags($_POST["blogTitle"]);
if (strlen($_POST["byline"]) < 1)
	$byline = "none";
else
	$byline = strip_tags($_POST["byline"]);
$owner = strip_tags($_POST["owner"]);
$pw = $_POST["password"];
$password = hash("sha1", $pw);
$theme = $_POST["theme"];
$configFile = "../Config/InFrame.config.php";

// Let's make sure everything is legit
if (isset($op))
{
  if ($op != "cdb")
  {
  	unset($op);
  	header("Location: $thisPage");
  }

  if (!isset($blogTitle) || !isset($owner) || !isset($password) || !isset($theme))
    {
      unset($op);
      header("Location: $thisPage");
    }
    else
    {
	  require_once($configFile);
	  Config::createDB(ABSP."/Data/Config", $blogTitle, $byline, $owner, $password, $theme);
		if (!Database::dbExists(ABSP."/Data/Comments"))
			Comments::createDB(ABSP."/Data/Comments");
		if (!Database::dbExists(ABSP."/Data/Exif"))
			Exif::createDB(ABSP."/Data/Exif");
		if (!Database::dbExists(ABSP."/Data/Ratings"))
			Ratings::createDB(ABSP."/Data/Ratings");
	  unset($op);
	  header("Location: ".URLTOP);
    }
}
else
{
	require_once($configFile);
	if (!Database::dbExists(ABSP."/Data/Config"))
	{
    	Page::renderConfigDB();
	}
	else
		header("Location: ".URLTOP);
}

function __autoload($class_name)
{
  require_once '../Class/' . $class_name . '.class.php';
}

?>
