<?php
/****************************************************************
 * This file is part of InFrame
 * Copyright (c) 2008 Richard Tong. All Rights Reserved.
 * 
 * Licensed under the terms of the GNU General Public License.
 * See http://opensource.org/licenses/gpl-license.php
 * 
 ****************************************************************/

class Database
{
	public static function dbExists($dbname)
	{
		$db = new FFDB();
		if (!$db->open($dbname))
			return false;
		else
			return true;
	}

	public static function hasPrev($dbname, $id)
	{
		$db = new FFDB();
		$db -> open($dbname);
		if ($db->size() < 2)
			return false;
		if (Config::pso() == "Newest first")
			$records = $db->getall("!id");
		else
			$records = $db->getall();

		$record = current($records);
		while ($record["id"] != $id)
		{
  			$record = next($records);
		}
		if (prev($records))
			return true;
		else
			return false;
	}
	
	public static function hasNext($dbname, $id)
	{
		$db = new FFDB();
		$db -> open($dbname);
		if ($db->size() < 2)
			return false;
		if (Config::pso() == "Newest first")
			$records = $db->getall("!id");
		else
			$records = $db->getall();

		$record = current($records);
		while ($record["id"] != $id)
		{
  			$record = next($records);
		}
		if (next($records))
			return true;
		else
			return false;
	}
	
	public static function prevID($dbname, $id)
	{
		$db = new FFDB();
		$db -> open($dbname);
		if (Config::pso() == "Newest first")
			$records = $db->getall("!id");
		else
			$records = $db->getall();

		$record = current($records);
		while ($record["id"] != $id)
		{
  			$record = next($records);
		}
		$record = prev($records);
		return $record["id"];
	}
	
	public static function nextID($dbname, $id)
	{
		$db = new FFDB();
		$db -> open($dbname);
		if (Config::pso() == "Newest first")
			$records = $db->getall("!id");
		else
			$records = $db->getall();

		$record = current($records);
		while ($record["id"] != $id)
		{
  			$record = next($records);
		}
		$record = next($records);
		return $record["id"];
	}
	
}
?>
