<?php
/****************************************************************
 * This file is part of InFrame
 * Copyright (c) 2008 Richard Tong. All Rights Reserved.
 * 
 * Licensed under the terms of the GNU General Public License.
 * See http://opensource.org/licenses/gpl-license.php
 * 
 ****************************************************************/

class Util
{
	public static function saveNewPaths()
	{
	  $string = "<?php\n# The absolute path to InFrame\ndefine(\"ABSP\",\"".getcwd()."\");\n\n";
	  $string = $string . "# The top-level URL to InFrame\ndefine(\"URLTOP\",\"".rtrim($_SERVER["REQUEST_URI"],"/")."/\");\n\n?>";
	  $configFile = fopen("Config/InFrame.config.php",'w') or die ("Couldn't create config file.");
	  fwrite($configFile, $string);
	  fclose($configFile);
	  unset($string);
	  unset($configFile);
	}

// From http://webcheatsheet.com/php/get_current_page_url.php
	public static function currentURL()
	{
		$pageURL = 'http';
		if ($_SERVER["HTTPS"] == "on")
		{
			$pageURL .= "s";
		}
		$pageURL .= "://";

		if ($_SERVER["SERVER_PORT"] != "80")
		{
		$pageURL .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"];
		}
		else
		{
			$pageURL .= $_SERVER["SERVER_NAME"];
		}

		return $pageURL;
	}
	
}
?>
