<?php
/****************************************************************
 * This file is part of InFrame
 * Copyright (c) 2008 Richard Tong. All Rights Reserved.
 * 
 * Licensed under the terms of the GNU General Public License.
 * See http://opensource.org/licenses/gpl-license.php
 * 
 ****************************************************************/

class IP
{

	public static function createDB($dbname)
	{
		$db = new FFDB();
		$schema = array(
			array("id", FFDB_INT_AUTOINC, "key"),
			array("ip", FFDB_STRING));
		$db->create($dbname, $schema);
		$db->close();
		unset($db);
		unset($schema);
		unset($dbname);
	}
	public static function block($ip)
	{
		if (!Database::dbExists(ABSP."/Data/IP"))
			IP::createDB(ABSP."/Data/IP");
			
		$db = new FFDB();
		$db->open(ABSP."/Data/IP");
		$record["ip"] = $ip; 
     
		$result = $db->add($record);
		$db->close();
		unset($db);
		unset($record);
		if ($result)
		return true;
		else
		return false;
	}
	public static function isBlocked($ip)
	{
		if (!Database::dbExists(ABSP."/Data/IP"))
			IP::createDB(ABSP."/Data/IP");
			
		$db = new FFDB();
		$db->open(ABSP."/Data/IP");
		$records = $db->getbyfield("ip", "/".$ip."/i");
		$db->close();
		unset($db);
		unset($ip);
		if (count($records) > 0)
			return true;
		else
			return false;
	}
	
}
?>
